/* Custom Stylesheet */
/**
 * Use this file to override Materialize files so you can update
 * the core Materialize files in the future
 *
 * Made By MaterializeCSS.com
 */

.icon-block {
    padding: 0 15px;
}
.icon-block .material-icons {
    font-size: inherit;
}

/* Sticky Footer */
/* May cause issues in IE */
body {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
}

main {
    flex: 1 0 auto;
}
/***/

/*Helper Classes*/
.bold{
    font-weight:bold;
}
/*Top menu box background*/
.menu-acc-control{
    /*background-image: url('../img/acc-background.jpg');*/
    /*background-size:cover;*/


    /*background-image: url('../img/big-logo.jpg');*/
    /*background-size: 100% 100%;*/
}
.menu-acc-control:hover{
    background-color: #fff !important;
}

.brand-logo{
    padding: 10px !important;
}
.brand-logo img{
    width: 100%;
}

.menu-description {
    font-size:12px;
    font-weight:normal;
    top:5px;
    position:absolute;
}

@media only screen and (min-width: 993px){
    main > .container{
        width:90%;
    }
    nav.top-nav > .container{
        width:90%;
    }
}

/*Overrrided materialize style*/

/*Menu font size*/
ul.side-nav li a{
    font-size:14px;
}
.side-nav .collapsible-body li a {
    height: 48px;
    line-height: 48px;
}

p.page-title{
    display:inline;
    font-size:24px;
}

/*Second order menu list not bolded*/
.side-nav .collapsible-body li a {
    font-weight: normal;
}


.side-nav {
    height: 100% !important;
}

/*Side menu style*/
header, main, footer{
    padding-left:240px;
}
@media only screen and (max-width: 992px) {
    header, main, footer{
        padding-left:0px;
    }
}
@media only screen and(min-width:600px) {
    a.button-collapse.top-nav {
        left: 5%;
    }
}
a.button-collapse.top-nav{
    position: absolute;
    /*text-align: center;*/
    height: 48px;
    width: 48px;
    top: 0;
    float: none;
    /*margin-left: 1.5rem;*/
    color: #fff;
    font-size: 32px;
    z-index: 2;

    line-height: 56px;
}

/* Location selector */
#location-container, #location-picker{
    background-color: #fcfcfc;
    border-radius: 2px 0 0 0;
    -moz-border-radius: 2px 0 0 0;
    -webkit-border-radius: 2px 0 0 0;
    top: auto;
    left: auto;
    right: 0;
}
#location-container{
    z-index: 999;

    bottom: 0;
    right: 5px;

    padding: 2px 16px;

    position:fixed;
    min-width: 120px;
    line-height: 32px;
    color: #fff;
    font-size:14px;
    box-shadow: 0 0 4px rgba(0,0,0,0.3);
    border-bottom: 2px solid #ee6e73;
}
#location-picker{
    bottom: 48px;
    border-top: 1px solid #f4f7f9;

    position:absolute;
    width: 100%;
    margin: 0;
    padding: 10px 0;
    display: none;
    color: #666;
    list-style-type: none;
}
#location-picker a{
    color: #000000 !important;
}
#language-select a{
    color: #000000 !important;
}
#location-current{
    color: rgba(0,0,0,0.87);

    float:left;
    padding:5px;
    max-width:200px;
    overflow:hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
#location-marker{
    border-bottom: 4px solid rgba(0,0,0,0.61);
    float:right;
    display:block;
    position:relative;
    width: 0;
    height: 0;
    margin-left: 8px;
    margin-top: 18px;
    border-right: 4px dashed transparent;
    border-left: 4px dashed transparent;
}

/* Language selection */
ul#language-select li a{
    position: relative;
}
ul#language-select li a span{
    position:absolute;
    top: 50%;
    transform: translateY(-50%);
    left:55%;
}

/*????????????*/
.resButton{
    left: 50%;
    transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
}

/*Bigger spaces between buttons*/
.btn-block{
    margin: 10px auto;
}
/*Opmenu navigation bar alignment*/
.breadcrumb:before{
    vertical-align:middle;
}


/*STYLES FROM OLDER RESERVATION */
/* timeSlots smartColumns */

.smartColumns {
    width: 100%;
    padding: 0;
    /*margin: 10px 0;*/
    list-style: none;

    margin: 0;
}
.smartColumns li {
    float: left;
    width: 90px;
    padding: 0;
    margin: 5px 0;
    display: inline;

}

.smartColumns .block {
    font-size: 1em;
    margin-right: 15px;
    position: relative;

}

.smartColumns .block a {

    width: 100%;
    display: block;
    padding: 12px 0;
    margin: 0;
    font-size:1.3em;

    text-decoration: none;
    /*text-shadow: #fff 0px 1px 0px;*/
    text-align: center;

    border:1px solid #c2c2c2;

}

.smartColumns .reserved {
    background: #FFDACC;
}

.reservations_left {
    background: #96b15a;
    float: left;
    color: #ffffff;
    font-size: 0.7em;
    font-weight: bold;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.8);
    left: 10px;
    margin: 0;
    padding: 1px;
    position: absolute;
    top: 0px;
    left: 0px;
    border-bottom: 1px solid #C2C2C2;
    border-right: 1px solid #C2C2C2;
    border-radius: 4px 0px 4px 0px;
    cursor:  default;
    line-height: 11px;

}

/*Calendar available days*/
.good {
    background-color:#96B15A;color:white;
}

/*For web printer settings*/
#flasher{
    position:relative;
    margin:0 auto;
    clear:left;
    height:auto;
    z-index: 0;
    text-align:center;
}

/** pagination **/
.pagination li.active{
    color: #FFFFFF;
}
.pagination .disabled {
    color: #ddd;
}
.pagination .disabled:hover {
    background: transparent;
}

/*Arrows for table sorting*/
th a.asc:after {
    content: ' ↓';
}
th a.desc:after {
    content: ' ↑';
}
/*Brand logo in card*/
.card-logo{
    display:block;
    margin: auto;
}

/*Google Material Icons Font*/
@font-face {
  font-family: 'Material Icons';
  /*font-family: "Material-Design-Icons";*/
  font-style: normal;
  font-weight: 400;
  src: url("../font/material-design-icons/Material-Design-Icons.eot"); /* For IE6-8 */
  src: local('Material Icons'),
       local('MaterialIcons-Regular'),
       url("../font/material-design-icons/Material-Design-Icons.woff2") format('woff2'),
       url("../font/material-design-icons/Material-Design-Icons.woff") format('woff'),
       url("../font/material-design-icons/Material-Design-Icons.ttf") format('truetype');
}
.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 18px;  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
}

/* Reservations search input*/
input#ReservationSearchTerm, input#searchDate{
    height: 2rem;
}

input#searchDate, input#searchTerm{
    position: relative;
    margin-top: 1rem;
    width: auto;
}
input#searchTerm {
    margin-right: 6px;
    height: 2rem;
}

form#ReservationIndexForm input {
    float: left;
}
form#ReservationIndexForm .submit {
    float: left;
    margin-top: 10px;
    margin-left: 20px;
}

/*User search input*/
input#UserSearch{
    height: 2.5rem;
}

/* Cards */
.card {
    max-width: 400px;
    cursor: default;
}
.card .card-title {
    /* TODO: Problem - longer names does not fit into one line*/
    font-size: 18px;
}
.card .activator i{
    line-height: 48px;
    margin-right: 0px;
}
.card i.left{
    margin-right: 5px;
}
.icon-info{
    padding: 5px 0px;
}
.icon-info i{
}

.card-action {
    cursor: pointer;
}
.xls {
    float: right;
    margin: 0 60px 0 0;
}
.pdf {
    float: right;
    margin: 0 10px 0 0;
}
form#ReservationIndexForm input, form#ReservationIndexForm .submit, input#searchTerm {
    float: right;
}
form#ReservationIndexForm .submit {
    margin: 10px 12px;
}
/*.card .card-content {
    padding: 10px;
}
.card .card-content .card-title {
    line-height: 24px;
}*/
@media only screen and (max-width: 992px){
    .card .card-title{
        font-size: 14px;
    }
}
@media only screen and (min-width: 992px) and (max-width:1290px){
    .card .card-title{
        font-size: 16px;
    }
}

/*Ticket status badges*/
span.ticketStatus.badge.new:after {
    content: "";
}




/*RESPONSIVE STYLES*/

/* Responsive information cards*/
@media only screen and (min-device-width: 481px) and (max-device-width: 1024px) and (orientation:landscape) {
    /* For landscape layouts only */
    .row .col.l4{
        width: 50%;
    }
}

/*Modal styling*/
@media only screen and (min-width: 992px) {
    #ModalDateSelect{
        width:30%;
    }
}

/*Back button on mobile*/
@media only screen and (max-width: 992px) {
    a.back_button i{
        position: relative;
        left:10%;
    }
}
@media only screen and (max-width: 600px) {
    a.back_button i{
        left:20%;
        position: absolute;
        /*transform: translateY(-5%);*/
        /*-webkit-transform: translateY(-5%);*/
    }
}
@media only screen and (max-width: 320px) {
    a.back_button i{
        left:15%;
    }
}
@media only screen and (max-width: 992px) {
    p.page-title {
        left: 10%;
        position: relative;

    }
}
@media only screen and (max-width:600px) {
    p.page-title {
        left: 50%;
        position: absolute;
        transform: translateX(-50%) translateY(-50%);
        -webkit-transform: translateX(-50%) translateY(-50%);

        height: 48px;
        line-height: 56px;

    }
}

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/flUhRq6tzZclQEJ-Vdg-IuiaDsNc.woff") format('woff') ,url("../fonts/flUhRq6tzZclQEJ-Vdg-IuiaDsNc.woff2") format('woff2');
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}

.card.small {
    height: 450px !important;
}

.alert {
    padding: 15px;
    margin: 10px 5px;
    border: 1px solid transparent;
    border-radius: 4px;
}

.alert-warning {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc;
}

.card .card-content .card-title {
    line-height: 30px !important;
}